Bug 426497 - authtrapenable configuration option is ignored by agent
authtrapenable configuration option is ignored by agent
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp (Show other bugs)
4.6
All Linux
low Severity low
: rc
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-21 10:47 EST by Aleksander Adamowski
Modified: 2008-07-24 15:50 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0700
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:50:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksander Adamowski 2007-12-21 10:47:05 EST
Description of problem:
The problem has been described in net-snmp tracket on SourceForge:
http://sourceforge.net/tracker/index.php?func=detail&aid=1226788&group_id=12694&atid=112694

Two out of several RHEL4 servers of our customer suffer from this bug.

Version-Release number of selected component (if applicable):
net-snmp-5.1.2-11.el4_6.11.1

Steps to Reproduce:
1. Use the following configuration in snmpd.conf:

com2sec notConfigUser  default       $community_name
group   notConfigGroup v1           notConfigUser
group   notConfigGroup v2c           notConfigUser
view    all            included      .1
view    systemview    included   .1.3.6.1.2.1.1
view    systemview    included   .1.3.6.1.2.1.25.1.1
access  notConfigGroup ""      any       noauth    exact  all    none   none
syslocation Unknown (edit /etc/snmp/snmpd.conf)
syscontact Root <root@localhost> (configure /etc/snmp/snmp.local.conf)
pass .1.3.6.1.4.1.4413.4.1 /usr/bin/ucd5820stat
smuxpeer .1.3.6.1.4.1.674.10892.1
trapsink 89.1.1.11 $community_name
authtrapenable 2 

Actual results:
Authentication error traps are still launched.

Expectedresults:
Authentication error traps are suppressed.
Comment 2 RHEL Product and Program Management 2008-01-09 10:25:47 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2008-07-24 15:50:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0700.html

Note You need to log in before you can comment on or make changes to this bug.